	SUBROUTINE MATRIXINV(MATRIX,SIZE,ORDER,INVERSE,KPVT)
C
C       This subroutine inverts a symmetric matrix.  The inversion
C  of a symmetric matrix is itself symmetric.
C				Donald H. Gudehus, December, 1983
C
C	MATRIX	(C)	The array containing the matrix elements
C	SIZE	(C)	The dimension of MATRIX and of INVERSE
C	ORDER	(C)	The order of the matrix to be inverted
C	INVERSE	(R)	The array containg the inverted matrix
C	KPVT	(R)	A working array
C	
	INTEGER SIZE,ORDER,KPVT(SIZE),ADDRESS1,ADDRESS2
	REAL*8 MATRIX(SIZE,SIZE),INVERSE(SIZE,SIZE)
C
C  Create some dynamic memory
	CALL DYNAMIC(ADDRESS1,ORDER,'  R8',.TRUE.)
	CALL DYNAMIC(ADDRESS2,ORDER*(ORDER+1)/2,'  R8',.TRUE.)
	CALL MATRIXINV1(MATRIX,SIZE,ORDER,INVERSE,KPVT,%VAL(ADDRESS1),
	1%VAL(ADDRESS2))
	CALL DYNAMIC(ADDRESS1,ORDER,'  R8',.FALSE.)
	CALL DYNAMIC(ADDRESS2,ORDER*(ORDER+1)/2,'  R8',.FALSE.)
C
	RETURN
	END
