	SUBROUTINE IMAGPROC
	ENTRY IMAGPROC_SHARE
C
C       This subroutine allows one to manipulate pictures on various
C  image display systems after the pictures have been loaded by option.
C  TV or some other option.  A Grinnell, Trapix, Ramtek, and SAOimage
C  are presently supported. 
C
C			Donald H. Gudehus, October, 1988
C			Version 2, Donald H. Gudehus, July, 1993
C			Added code for RAM_IMAGPROC
C			Version 3, Donald H. Gudehus, August, 1993
C			Added code for SAOimage
C			Version 3U, Donald H. Gudehus, February 3, 2008
C			Converted to Unix
C  
	CHARACTER CHOICE*1
	LOGICAL GRINNELL_270,TRAPIX,RAMTEK,SAOIMAGE
	COMMON /DISPLAY_AVAILABILITY/ GRINNELL_270,TRAPIX,RAMTEK,
	1SAOIMAGE
C
	CALL MESSAGE('IMAGPROC, Version 3')
	IF (.NOT.GRINNELL_270.AND..NOT.TRAPIX.AND..NOT.RAMTEK.AND.
	1.NOT.SAOIMAGE) THEN
	  CALL MESSAGE('Sorry, no display device is available at your site')
	  RETURN
	END IF
	IF (GRINNELL_270.AND..NOT.(TRAPIX.OR.RAMTEK.OR.SAOIMAGE)) THEN
	  CHOICE='G'
	ELSE IF (TRAPIX.AND..NOT.(GRINNELL_270.OR.RAMTEK.OR.SAOIMAGE)) THEN
	  CHOICE='T'
	ELSE IF (RAMTEK.AND..NOT.(GRINNELL_270.OR.TRAPIX.OR.SAOIMAGE)) THEN
	  CHOICE='R'
	ELSE IF (SAOIMAGE.AND..NOT.(GRINNELL_270.OR.TRAPIX.OR.RAMTEK)) THEN
	  CHOICE='S'
	ELSE !  2 or more display devices available
	  CHOICE=' '
	  DO WHILE(CHOICE.NE.'G'.AND.CHOICE.NE.'T'.AND.CHOICE.NE.'R'.AND.
	1 CHOICE.NE.'S')
	    CALL MESSAGE('Enter a choice:')
	    IF (GRINNELL_270) THEN
	      CALL MESSAGE('            G = Image manipulation with Grinnell')
	    END IF
	    IF (TRAPIX) THEN
	      CALL MESSAGE('            T = Image manipulation with Trapix')
	    END IF
	    IF (RAMTEK) THEN
	      CALL MESSAGE('            R = Image manipulation with Ramtek')
	    END IF
	    IF (SAOIMAGE) THEN
	      CALL MESSAGE('            S = Image manipulation with SAOimage')
	    END IF
	    CALL USRINP(%REF(CHOICE),1,'A',1,1,'CHOICE=',' ')
	    CALL ALPHA(%REF(CHOICE),1,1,NC,NF,NR,2)
	  END DO
	END IF
C	IF (CHOICE.EQ.'G') CALL GR_IMAGPROC
C	IF (CHOICE.EQ.'T') CALL TR_IMAGPROC
C	IF (CHOICE.EQ.'R') CALL RAM_IMAGPROC
	IF (CHOICE.EQ.'S') CALL SAO_IMAGPROC
	RETURN
	END
