C**********************************************************************
C
C                  SYMBOLIC DEFINITION FILE 
C         
C           STANDARD ASTRONOMICAL DATA FORMAT (SAD)
C
C                        VERSION 2.0
C
C                        MARCH,1980
C
C**********************************************************************
C
C    INTERCHANGE FORMAT IMAGE CONTROL SUBDIVISION
C
      PARAMETER D$II_TAG_B=0,D$II_TAG_NB=8
      PARAMETER D$II_NAME_B=8,D$II_NAME_NB=12
      PARAMETER D$II_COMNTS_B=20,D$II_COMNTS_NB=80
      PARAMETER D$II_SUBPTR_B=100,D$II_SUBPTR_NL=16
      PARAMETER D$II_DATPTR_B=164,D$II_DATPTR_NB=8
      PARAMETER D$II_DATTAG_B=172,D$II_DATTAG_NB=4
      PARAMETER D$II_DATFMT_B=176,D$II_DATFMT_NB=8
      PARAMETER D$II_NELS_B=184,D$II_NELS_NB=4
      PARAMETER D$II_NROWS_B=188,D$II_NROWS_NB=4
      PARAMETER D$II_NPLNS_B=192,D$II_NPLNS_NB=4
      PARAMETER D$II_EL1_B=196,D$II_EL1_NB=4
      PARAMETER D$II_ELZ_B=200,D$II_ELZ_NB=4
      PARAMETER D$II_ROW1_B=204,D$II_ROW1_NB=4
      PARAMETER D$II_ROWZ_B=208,D$II_ROWZ_NB=4
      PARAMETER D$II_PLN1_B=212,D$II_PLN1_NB=4
      PARAMETER D$II_PLNZ_B=216,D$II_PLNZ_NB=4
      PARAMETER D$II_FLOOR_B=220
C
C    TREE/FILE HEADER
C
      PARAMETER D$T_TAG_I=1,D$T_TAG_B=0,D$T_TAG_NB=8
      PARAMETER D$T_NAME_I=3,D$T_NAME_B=8,D$T_NAME_NB=12
      PARAMETER D$T_COMNTS_I=6,D$T_COMNTS_B=20,D$T_COMNTS_NB=160
      PARAMETER D$T_ISTNOD_I=46,D$T_ISTNOD_L=45
      PARAMETER D$T_NXFREE_I=47,D$T_NXFREE_L=46
      PARAMETER D$T_RECLEN_I=48,D$T_RECLEN_L=47
C
C    IMAGE CONTROL SUBDIVISION
C
      PARAMETER D$IA_TAG_I=1,D$IA_TAG_B=0,D$IA_TAG_NB=8
      PARAMETER D$IA_NAME_I=3,D$IA_NAME_B=8,D$IA_NAME_NB=12
      PARAMETER D$IA_COMNTS_I=6,D$IA_COMNTS_B=20,D$IA_COMNTS_NB=160
      PARAMETER D$IA_SUBPTR_I=46,D$IA_SUBPTR_L=45,D$IA_SUBPTR_NL=16
      PARAMETER D$IA_DATPTR_I=62,D$IA_DATPTR_L=61
      PARAMETER D$IA_COMPTR_I=63,D$IA_COMPTR_L=62
      PARAMETER D$IA_DATFMT_I=64,D$IA_DATFMT_B=252,D$IA_DATFMT_NB=8
      PARAMETER D$IA_NELS_I=66,D$IA_NELS_L=65
      PARAMETER D$IA_NROWS_I=67,D$IA_NROWS_L=66
      PARAMETER D$IA_NPLNS_I=68,D$IA_NPLNS_L=67
      PARAMETER D$IA_EL1_I=69,D$IA_EL1_L=68
      PARAMETER D$IA_ELZ_I=70,D$IA_ELZ_L=69
      PARAMETER D$IA_ROW1_I=71,D$IA_ROW1_L=70
      PARAMETER D$IA_ROWZ_I=72,D$IA_ROWZ_L=71
      PARAMETER D$IA_PLN1_I=73,D$IA_PLN1_L=72
      PARAMETER D$IA_PLNZ_I=74,D$IA_PLNZ_L=73
      PARAMETER D$IA_FLOOR_I=75,D$IA_FLOOR_B=296,D$IA_FLOOR_L=74
C
C    ASTRONOMICAL SUBDIVISIONS.
C
      PARAMETER D$A_TAG_B=0,D$A_TAG_NB=8
      PARAMETER D$A_LENGTH_B=8,D$A_LENGTH_NB=4
      PARAMETER D$A_FIRSTKEY_B=12
C
C    NODE CONTROL SUBDIVISION
C    Version 1 definitions (for compatibility)
C
      PARAMETER D$N01_COMNTS_I=6,D$N01_COMNTS_B=20,D$N01_COMNTS_NB=160
      PARAMETER D$N01_DIREC_I=46,D$N01_DIREC_B=180,D$N01_DIREC_L=45
C
C    NODE CONTROL SUBDIVISION
C    Version 2 definitions (no COMMENTS field)
C
      PARAMETER D$N_TAG_I=1,D$N_TAG_B=0,D$N_TAG_NB=8
      PARAMETER D$N_NAME_I=3,D$N_NAME_B=8,D$N_NAME_NB=12
      PARAMETER D$N_DIREC_I=6,D$N_DIREC_B=20,D$N_DIREC_L=5
C
C    NODE DIRECTORY ENTRY
C    Version 1 definitions (for compatibility)
C
      PARAMETER D$ND01_DIREC_NB=20,D$ND01_DIREC_NL=5
      PARAMETER D$ND01_TYPE_I=1,D$ND01_TYPE_B=0,D$ND01_TYPE_NB=4
      PARAMETER D$ND01_NAME_I=2,D$ND01_NAME_B=4,D$ND01_NAME_NB=12
      PARAMETER D$ND01_NIPTR_I=5,D$ND01_NIPTR_L=4
C
C    NODE DIRECTORY ENTRY
C    Version 2 definitions (no NAME field)
C
      PARAMETER D$ND_DIREC_NB=8,D$ND_DIREC_NL=2
      PARAMETER D$ND_TYPE_I=1,D$ND_TYPE_B=0,D$ND_TYPE_NB=4
      PARAMETER D$ND_NIPTR_I=2,D$ND_NIPTR_L=1
C
C    NODE CONTROL ARRAY
C
      PARAMETER D$NC_LENGTH_NL=9
      PARAMETER D$NC_TAG_I=1,D$NC_TAG_B=0,D$NC_TAG_NB=4
      PARAMETER D$NC_NAME_I=2,D$NC_NAME_B=4,D$NC_NAME_NB=12
      PARAMETER D$NC_LUFL_I=5
      PARAMETER D$NC_RECLEN_I=6
      PARAMETER D$NC_HDPTR_I=7
      PARAMETER D$NC_NSUBND_I=8
      PARAMETER D$NC_NLSTND_I=9
C
C    IMAGE CONTROL ARRAY
C
      PARAMETER D$IC_LENGTH_NL=26
      PARAMETER D$IC_TAG_I=1,D$IC_TAG_B=0,D$IC_TAG_NB=4
      PARAMETER D$IC_NAME_I=2,D$IC_NAME_B=4,D$IC_NAME_NB=12,
     +          D$IC_NAME_L=1,D$IC_NAME_NL=3
      PARAMETER D$IC_LUFL_I=5
      PARAMETER D$IC_RECLEN_I=6
      PARAMETER D$IC_HDPTR_I=7
      PARAMETER D$IC_DATPTR_I=8
      PARAMETER D$IC_COMPTR_I=9
      PARAMETER D$IC_DATFMT_B=36,D$IC_DATFMT_NB=8,D$IC_DATFMT_L=9,
     +          D$IC_DATFMT_NL=2,D$IC_DATFMT_I=10
      PARAMETER D$IC_NELS_I=12
      PARAMETER D$IC_NROWS_I=13
      PARAMETER D$IC_NPLNS_I=14
      PARAMETER D$IC_EL1_I=15
      PARAMETER D$IC_ELZ_I=16
      PARAMETER D$IC_ROW1_I=17
      PARAMETER D$IC_ROWZ_I=18
      PARAMETER D$IC_PLN1_I=19
      PARAMETER D$IC_PLNZ_I=20
      PARAMETER D$IC_FLOOR_I=21
      PARAMETER D$IC_CEILING_I=22
      PARAMETER D$IC_NULLDAT_I=23
      PARAMETER D$IC_LSTEL_I=24
      PARAMETER D$IC_LSTROW_I=25
      PARAMETER D$IC_LSTPLN_I=26
C
C    IMPLEMENTATION DEPENDENT PARAMETERS
C
      PARAMETER D$P_ISTNOD=1
      PARAMETER D$P_RECLEN=2048
      PARAMETER D$P_WENABL='00000001'X
      PARAMETER D$P_NAMACCS=-1
      PARAMETER D$P_SEQACCS=0
C
C    STATUS RETURNS
C
      PARAMETER SS$_NORMAL= '00000001'X
      PARAMETER D$S_IMAGE= '80028009'X
      PARAMETER D$S_NODE=  '80028011'X
      PARAMETER D$S_ILLICA='8002801C'X
      PARAMETER D$S_ILLACS='80028024'X
      PARAMETER D$S_ILFORM='8002802C'X
      PARAMETER D$S_WRPROT='80028034'X
      PARAMETER D$S_ILOPIM='8002803C'X
      PARAMETER D$S_NXNODE='80028042'X
      PARAMETER D$S_ILNODENO='8002804C'X
      PARAMETER D$S_INSARR  ='80028054'X
      PARAMETER D$S_DATLOB  ='8002805C'X
      PARAMETER D$S_ILOPND  ='80028064'X
      PARAMETER D$S_UNSUPFMT='8002806A'X
      PARAMETER D$S_UNSUPFIL='80028072'X
      PARAMETER D$S_UNSUPIM='8002807A'X
      PARAMETER D$S_IMPOSS='80028084'X
      PARAMETER D$S_UNDEFKYWD='8002808A'X
      PARAMETER D$S_NOTAPBS='80028092'X
      PARAMETER D$S_DCDERR='8002809A'X
      PARAMETER D$S_ILLSUBTAG='800280A2'X
      PARAMETER D$S_ENDIMAGE='800280A8'X
      PARAMETER D$S_ILNAXES='800280B4'X
      PARAMETER D$S_ILIMHDR='800280BA'X
      PARAMETER D$S_ILSUBDIV='800280C4'X
      PARAMETER D$S_ILLNCA='800280CC'X
      PARAMETER D$S_NONMULT='800280D4'X
      PARAMETER D$S_NOCOMMENT='800280DC'X
      PARAMETER D$S_NOVAL    ='800280E2'X
      PARAMETER D$S_NOTCHARKEY ='800280EA'X
      PARAMETER D$S_RECTOOLON  ='800280F4'X
      PARAMETER D$S_ILLOOKAH   ='800280FC'X
      PARAMETER D$S_BUFOUTRNG  ='80028104'X
      PARAMETER D$S_NOBUFAV    ='8002810C'X
      PARAMETER D$S_ILVALFORM  ='80028114'X
      PARAMETER D$S_ZERORECLEN ='8002811C'X
      PARAMETER D$S_NOROOM     ='80028124'X
C
