	SUBROUTINE ACTPLT1(LU_IN,ARRAY,NCOL_RD,NROW_RD,KIND,C,NCONTOURS,DELV,
	1MAPSCOL,MAPSROW,CONTOUR,PENWIDTH,NSYMBOL,COLOR,HEIGHT,XYOFF,XYSCALE)
C
C       This subroutine helps ACTPLT.  The user input takes place in
C  ACTPLT;  in ACTPLT1, the file is read and put into an array.
C  The actual contour plotting in carried out in CONTOURPLOT.
C
C			Donald H. Gudehus, June, 1988
C			Version 1U, Donald H. Gudehus, Feb. 1, 2008
C			Converted to Unix and FITS
C
	CHARACTER*1 CONTOUR
C
	INTEGER LU_IN,NCOL_RD,NROW_RD,KIND,NCONTOURS,MAPSCOL,MAPSROW
C
	REAL*4 ARRAY(NCOL_RD,NROW_RD),C(10),DELV,HEIGHT,
	1XYOFF(2),XYSCALE(2)
C
C
	CHARACTER*3 DEVICES(10)

	INTEGER PENWIDTH(10),NSYMBOL(10),COLOR(10),IQ(4)
C
	LOGICAL CROSSHAIRS,INTERACT,ADDENDA
C
	REAL*4 S_ARRAY(6000)
C  This subroutine must have the same COMMON blocks as ACTPLT.
	COMMON /SCRATCH_BLOCK/ S_ARRAY
C
	CHARACTER*3 DUMDEVICES(10)
	COMMON /PLOT_CHAR_DEVICES/ DUMDEVICES
	CHARACTER*30 DUMDEVICES2
	EQUIVALENCE (DUMDEVICES,DUMDEVICES2)
C
	COMMON /MAPN/ IMNUM
	COMMON /PLANEN/ IPNUM
C
	CALL RDFITSXY(LU_IN,IMNUM,IPNUM,ARRAY,NCOL_RD,NROW_RD,
	1MAPSCOL,NCOL_RD,MAPSROW,NROW_RD)
	IF (KIND.NE.6) THEN
	  KIND_DUMMY=KIND
	ELSE
	  KIND_DUMMY=1
	END IF
	INTERACT=.FALSE.
	CROSSHAIRS=.TRUE.
	ADDENDA=.TRUE.
	CALL CONTOURPLOT(ARRAY,NCOL_RD,NROW_RD,MAPSCOL,MAPSROW,
	1KIND_DUMMY,C,XYOFF,XYSCALE,CONTOUR,PENWIDTH,NSYMBOL,COLOR,
	2NCONTOURS,DELV,HEIGHT,INTERACT,CROSSHAIRS,DUMDEVICES2,ADDENDA)
C  Crosshair positioning
	IF (KIND.EQ.6) THEN
	  CALL STARLIST(LU_IN,S_ARRAY,XYOFF(1),XYOFF(2),FLOAT(MAPSCOL),
	1 FLOAT(MAPSROW),XYSCALE(1),XYSCALE(2),IQ)
	  RETURN
	END IF
	RETURN
	END
