	SUBROUTINE DETERMNT1(MATRIX,SIZE,ORDER,DET,KPVT,WORK,AP)
C
C       This subroutine helps DETERMNT to calculate the determinant of a
C  symmetric matrix.
C				Donald H. Gudehus, April, 1986
C
	INTEGER SIZE,ORDER,KPVT(SIZE),INERTIA(3)
	REAL*8 MATRIX(SIZE,SIZE),DET(2),WORK(ORDER),AP(ORDER*(ORDER+1)/2)
C
C  Load the array AP with the upper right triangular part of the matrix
	K=0
	DO I=1,ORDER
	  DO J=1,I
	    K=K+1
	    AP(K)=MATRIX(J,I)
	  END DO
	END DO
	JOB=10  ! Solve for the determinant only
	CALL DSPFA(AP,ORDER,KPVT,INFO)
	CALL DSPDI(AP,ORDER,KPVT,DET,INERTIA(3),WORK,JOB)
C  Note that the determinant equals DET(1)*10.0**DET(2)
	RETURN
	END

