	SUBROUTINE RADGALDER(SURFBCONVOLVE,MAXSIZE,MAXPARAM,CHOICE,
	1PARAMETRS,USERPARAMETRS,CONVOLVE,SOLVESKY,
	2ARRAYINCONVOLVE,RADIUSINCONVOLVE,RADIUS,IRADII,IRADIICONVOLVE,
	2SMEAR,NPOINTS_S,NPOINTS,NPOINTS_C,NANGLES,
	3DERIV)
C
C       This subroutine computes the derivatives for RADGAL, taking
C  into account convolution if necessary.
C				Donald H. Gudehus, November, 1984
C
	DIMENSION SURFBCONVOLVE(MAXSIZE),PARAMETRS(MAXPARAM),
	1USERPARAMETRS(MAXPARAM),ARRAYINCONVOLVE(MAXSIZE),
	1RADIUSINCONVOLVE(MAXSIZE),RADIUS(MAXSIZE),
	2SMEAR(MAXSIZE),DERIV(MAXSIZE,
	3MAXPARAM),DUMMYPARAM(6)
	CHARACTER*6 CHOICE,DUMCHOICE
	INTEGER IRADII(2),IRADIICONVOLVE(2)
	LOGICAL CONVOLVE,EVALUATE,SOLVESKY
	REAL LN10,MCFACTOR
C
	LN10=2.302585093
	VFACTOR=3.33*LOG(10.0)
	MCFACTOR=0.4*LOG(10.0)
	EVALUATE=.TRUE.
	IF (CONVOLVE) EVALUATE=.FALSE.
	IF (CHOICE.EQ.'G') THEN
	  DO N=IRADII(1),IRADII(2)
	    CALL RADGALFUN(RADIUS,N,PARAMETRS,CHOICE,
	1   EVALUATE,SURFBCONVOLVE,TERM,USERPARAMETRS)
	    DERIV(N,1)=TERM/PARAMETRS(1)
	    DERIV(N,2)=(RADIUS(N)**2/PARAMETRS(2)**3)*TERM
	    IF (SOLVESKY) THEN
	      DERIV(N,3)=1.0
	    END IF
	  END DO
	ELSE IF (CHOICE.EQ.'H'.OR.CHOICE.EQ.'M') THEN
	  DO N=IRADII(1),IRADII(2)
	    CALL RADGALFUN(RADIUS,N,PARAMETRS,CHOICE,
	1   EVALUATE,SURFBCONVOLVE,TERM,USERPARAMETRS)
	    DERIV(N,1)=TERM/PARAMETRS(1)
	    DERIV(N,2)=2*(RADIUS(N)/PARAMETRS(2)**2)*
	1   TERM/(1.0+RADIUS(N)/PARAMETRS(2))
C	    IF (CHOICE.EQ.'M'.AND.(RADIUS(N)/PARAMETRS(2)).GT.21.4) THEN
	    IF (CHOICE.EQ.'M'.AND.(RADIUS(N)/PARAMETRS(2)).GT.
	1   21.4.AND.(.NOT.CONVOLVE.OR.(CONVOLVE.AND.RADIUS(N).GT.
	2   FLOATJ(NPOINTS_C)))) THEN
	      DERIV(N,2)=DERIV(N,2)*1.5
	    END IF
	    IF (SOLVESKY) THEN
	      DERIV(N,3)=1.0
	    END IF
	  END DO
	ELSE IF (CHOICE.EQ.'MC') THEN
	  DO N=IRADII(1),IRADII(2)
	    DUMCHOICE='M'
	    DUMMYPARAM(1)=PARAMETRS(1)
	    DUMMYPARAM(2)=USERPARAMETRS(1)
	    CALL RADGALFUN(RADIUS,N,DUMMYPARAM,DUMCHOICE,
	1   EVALUATE,SURFBCONVOLVE,TERM,USERPARAMETRS)
	    DERIV(N,1)=TERM/PARAMETRS(1)
C	    DERIV(N,2)=2*(RADIUS(N)/PARAMETRS(2)**2)*
C	1   TERM/(1.0+RADIUS(N)/PARAMETRS(2))
C	    IF (RADIUS(N)/PARAMETRS(2).GT.21.4) DERIV(N,2)=DERIV(N,2)*1.5
	    DUMMYPARAM(1)=PARAMETRS(2)
	    DUMMYPARAM(2)=USERPARAMETRS(2)
	    CALL RADGALFUN(RADIUS,N,DUMMYPARAM,DUMCHOICE,
	1   .TRUE.,SURFBCONVOLVE,TERM,USERPARAMETRS)
	    DERIV(N,2)=TERM/PARAMETRS(2)
	    IF (SOLVESKY) DERIV(N,3)=1.0
	  END DO
	ELSE IF (CHOICE.EQ.'MCX') THEN
	  DO N=IRADII(1),IRADII(2)
	    DUMCHOICE='M'
	    CALL RADGALFUN(RADIUS,N,PARAMETRS,DUMCHOICE,
	1   EVALUATE,SURFBCONVOLVE,TERM,USERPARAMETRS)
	    DERIV(N,1)=TERM/PARAMETRS(1)
	    DERIV(N,2)=2*(RADIUS(N)/PARAMETRS(2)**2)*
	1   TERM/(1.0+RADIUS(N)/PARAMETRS(2))
	    IF (RADIUS(N)/PARAMETRS(2).GT.21.4) DERIV(N,2)=DERIV(N,2)*1.5
	    CALL RADGALFUN(RADIUS,N,PARAMETRS(3),DUMCHOICE,
	1   .TRUE.,SURFBCONVOLVE,TERM,USERPARAMETRS)
	    DERIV(N,3)=TERM/PARAMETRS(3)
	    DERIV(N,4)=2*(RADIUS(N)/PARAMETRS(4)**2)*
	1   TERM/(1.0+RADIUS(N)/PARAMETRS(4))
	    IF (RADIUS(N)/PARAMETRS(4).GT.21.4) DERIV(N,4)=DERIV(N,4)*1.5
	    IF (SOLVESKY) DERIV(N,5)=1.0
	  END DO
	ELSE IF (CHOICE.EQ.'ML') THEN
	  DO N=IRADII(1),IRADII(2)
	    CALL RADGALFUN(RADIUS,N,PARAMETRS,CHOICE,
	1   EVALUATE,SURFBCONVOLVE,TERM,USERPARAMETRS)
	    DERIV(N,1)=(TERM-USERPARAMETRS(3))*MCFACTOR
	    DERIV(N,2)=DERIV(N,1)*LOG10(MAX(0.001,RADIUS(N)))
	  END DO
	ELSE IF (CHOICE.EQ.'MR') THEN
	  DO N=IRADII(1),IRADII(2)
	    CALL RADGALFUN(RADIUS,N,PARAMETRS,CHOICE,
	1   EVALUATE,SURFBCONVOLVE,TERM,USERPARAMETRS)
	    DERIV(N,1)=(TERM-USERPARAMETRS(3))*MCFACTOR
	    DERIV(N,2)=DERIV(N,1)*RADIUS(N)
	  END DO
	ELSE IF (CHOICE.EQ.'HV') THEN
	  DO N=IRADII(1),IRADII(2)
	    CALL RADGALFUN(RADIUS,N,PARAMETRS,CHOICE,
	1   EVALUATE,SURFBCONVOLVE,TERM,USERPARAMETRS)
	    DERIV(N,1)=TERM/PARAMETRS(1)
	    DERIV(N,2)=PARAMETRS(3)*(RADIUS(N)/
	1   PARAMETRS(2)**2)*TERM/
	2   (1.0+RADIUS(N)/PARAMETRS(2))
	    DERIV(N,3)=-TERM*ALOG(1.0+RADIUS(N)/PARAMETRS(2))
	    IF (SOLVESKY) DERIV(N,4)=1.0
	  END DO
	ELSE IF (CHOICE.EQ.'I') THEN
	  DO N=IRADII(1),IRADII(2)
	    CALL RADGALFUN(RADIUS,N,PARAMETRS,CHOICE,
	1   EVALUATE,SURFBCONVOLVE,TERM,USERPARAMETRS)
	    DERIV(N,1)=TERM/PARAMETRS(1)  ! No protection here yet
	    IF (SOLVESKY) DERIV(N,2)=1.0
	  END DO
	ELSE IF (CHOICE.EQ.'IX') THEN
	  DO N=IRADII(1),IRADII(2)
	    CALL RADGALFUN(RADIUS,N,PARAMETRS,CHOICE,
	1   EVALUATE,SURFBCONVOLVE,TERM,USERPARAMETRS)
	    DERIV(N,1)=TERM/PARAMETRS(1)
	    DERIV(N,2)=-TERM*ALOG(RADIUS(N))
	    IF (SOLVESKY) DERIV(N,3)=1.0
	  END DO
	ELSE IF (CHOICE.EQ.'K') THEN
	  DO N=IRADII(1),IRADII(2)
	    CALL RADGALFUN(RADIUS,N,PARAMETRS,CHOICE,
	1   EVALUATE,SURFBCONVOLVE,TERM,USERPARAMETRS)
	    DERIV(N,1)=1.0
	  END DO
	ELSE IF (CHOICE.EQ.'L') THEN
	  DO N=IRADII(1),IRADII(2)
	    CALL RADGALFUN(RADIUS,N,PARAMETRS,CHOICE,
	1   EVALUATE,SURFBCONVOLVE,TERM,USERPARAMETRS)
	    DERIV(N,1)=1.0
	    DERIV(N,2)=RADIUS(N)
	  END DO
	ELSE IF (CHOICE.EQ.'SI') THEN
	  DO N=IRADII(1),IRADII(2)
	    CALL RADGALFUN(RADIUS,N,PARAMETRS,CHOICE,
	1   EVALUATE,SURFBCONVOLVE,TERM,USERPARAMETRS)
	    DERIV(N,1)=1.0/RADIUS(N)
	    DERIV(N,2)=1.0/RADIUS(N)**2
	    IF (SOLVESKY) THEN
	      DERIV(N,3)=1.0
	    END IF
	  END DO
	ELSE IF (CHOICE.EQ.'T') THEN
	  DO N=IRADII(1),IRADII(2)
	    CALL RADGALFUN(RADIUS,N,PARAMETRS,CHOICE,
	1   EVALUATE,SURFBCONVOLVE,TERM,USERPARAMETRS)
	    DERIV(N,1)=TERM/PARAMETRS(1)
	    IF (.NOT.CONVOLVE) THEN
	      DERIV(N,2)=2.0*TERM*RADIUS(N)/((1.0+RADIUS(N)/
	1     PARAMETRS(2))*PARAMETRS(2)**2)
	      DERIV(N,3)=TERM*USERPARAMETRS(1)*((RADIUS(N)/
C	      DERIV(N,5)=TERM*USERPARAMETRS(1)*((RADIUS(N)/
	1     PARAMETRS(3))**USERPARAMETRS(1))/PARAMETRS(3)
	    END IF
	    IF (SOLVESKY) THEN
	      DERIV(N,4)=1.0
	    END IF
	  END DO
	  IF (CONVOLVE) THEN
	    IF (PARAMETRS(3).LE.0.0) PARAMETRS(3)=50.0*PARAMETRS(2)
	    DO NN=IRADIICONVOLVE(1),IRADIICONVOLVE(2)
C  Compute the unconvolved derivative
	      ARRAYINCONVOLVE(NN)=2.0*(PARAMETRS(1)/(1.0+
	1     RADIUSINCONVOLVE(NN)/PARAMETRS(2))**3)*EXP(-
	2     (RADIUSINCONVOLVE(NN)/PARAMETRS(3))**
	2     USERPARAMETRS(1))*RADIUSINCONVOLVE(NN)/PARAMETRS(2)**2
	    END DO
	    CALL CONVLV2DG(ARRAYINCONVOLVE,RADIUSINCONVOLVE,MAXSIZE,
	1   SMEAR,NPOINTS_S,DERIV(1,2),NPOINTS,NPOINTS_C,NANGLES)
	    DO NN=IRADIICONVOLVE(1),IRADIICONVOLVE(2)
C  Compute the unconvolved derivative
	      ARRAYINCONVOLVE(NN)=(PARAMETRS(1)/(1.0+
	1     RADIUSINCONVOLVE(NN)/PARAMETRS(2))**2)*EXP(-
	2     (RADIUSINCONVOLVE(NN)/PARAMETRS(3))**
	2     USERPARAMETRS(1))*USERPARAMETRS(1)*(RADIUSINCONVOLVE(NN)/
	3     PARAMETRS(3))**USERPARAMETRS(1)/PARAMETRS(3)
	    END DO
	    CALL CONVLV2DG(ARRAYINCONVOLVE,RADIUSINCONVOLVE,MAXSIZE,
	1   SMEAR,NPOINTS_S,DERIV(1,3),NPOINTS,NPOINTS_C,NANGLES)
C	    DO I=1,NPOINTS
C	      PRINT *, DERIV(I,3),DERIV(I,5),DERIV(I,5)-DERIV(I,3)
C	    END DO
	  END IF
	ELSE IF (CHOICE.EQ.'TX') THEN
	  DO N=IRADII(1),IRADII(2)
	    CALL RADGALFUN(RADIUS,N,PARAMETRS,CHOICE,
	1   EVALUATE,SURFBCONVOLVE,TERM,USERPARAMETRS)
	    DERIV(N,1)=TERM/PARAMETRS(1)
	    DERIV(N,2)=(2*RADIUS(N)/(PARAMETRS(2)**2*(1.0+RADIUS(N)/
	1   PARAMETRS(2))))*TERM
	    DERIV(N,3)=TERM*PARAMETRS(4)*(RADIUS(N)/ABS(PARAMETRS(3)))**
	1   ABS(PARAMETRS(4)/PARAMETRS(3))
C  Avoid negative exponentiation
	    IF (RADIUS(N).EQ.0.0) THEN
	      DERIV(N,4)=0.0
	    ELSE
	      DERIV(N,4)=-TERM*(RADIUS(N)/ABS(PARAMETRS(3)))**
	1     PARAMETRS(4)*ALOG(RADIUS(N)/ABS(PARAMETRS(3)))
	    END IF
	    IF (SOLVESKY) THEN
	      DERIV(N,5)=1.0
	    END IF
	  END DO
	ELSE IF (CHOICE.EQ.'V') THEN
	  DO N=IRADII(1),IRADII(2)
	    CALL RADGALFUN(RADIUS,N,PARAMETRS,CHOICE,
	1   EVALUATE,SURFBCONVOLVE,TERM,USERPARAMETRS)
	    DERIV(N,1)=TERM/PARAMETRS(1)
	    DERIV(N,2)=(TERM*VFACTOR/4.0)*RADIUS(N)**0.25/
	1   PARAMETRS(2)**1.25
	    IF (SOLVESKY) DERIV(N,3)=1.0
	  END DO
	ELSE IF (CHOICE.EQ.'VC') THEN
	  DO N=IRADII(1),IRADII(2)
	    DUMCHOICE='V'
	    DUMMYPARAM(1)=PARAMETRS(1)
	    DUMMYPARAM(2)=USERPARAMETRS(1)
	    CALL RADGALFUN(RADIUS,N,DUMMYPARAM,DUMCHOICE,
	1   EVALUATE,SURFBCONVOLVE,TERM,USERPARAMETRS)
	    DERIV(N,1)=TERM/PARAMETRS(1)
C	    DERIV(N,2)=(TERM*VFACTOR/4.0)*RADIUS(N)**0.25/PARAMETRS(2)**1.25
	    DUMMYPARAM(1)=PARAMETRS(2)
	    DUMMYPARAM(2)=USERPARAMETRS(2)
	    CALL RADGALFUN(RADIUS,N,DUMMYPARAM,DUMCHOICE,
	1   .TRUE.,SURFBCONVOLVE,TERM,USERPARAMETRS)
	    DERIV(N,2)=TERM/PARAMETRS(2)
	    IF (SOLVESKY) DERIV(N,3)=1.0
	  END DO
	ELSE IF (CHOICE.EQ.'VCX') THEN
	  DO N=IRADII(1),IRADII(2)
	    DUMCHOICE='V'
	    CALL RADGALFUN(RADIUS,N,PARAMETRS,DUMCHOICE,
	1   EVALUATE,SURFBCONVOLVE,TERM,USERPARAMETRS)
	    DERIV(N,1)=TERM/PARAMETRS(1)
	    DERIV(N,2)=(TERM*VFACTOR/4.0)*RADIUS(N)**0.25/PARAMETRS(2)**1.25
	    CALL RADGALFUN(RADIUS,N,PARAMETRS(3),DUMCHOICE,
	1   .TRUE.,SURFBCONVOLVE,TERM,USERPARAMETRS)
	    DERIV(N,3)=TERM/PARAMETRS(3)
	    DERIV(N,4)=(TERM*VFACTOR/4.0)*RADIUS(N)**0.25/PARAMETRS(4)**1.25
	    IF (SOLVESKY) DERIV(N,5)=1.0
	  END DO
	ELSE IF (CHOICE.EQ.'E3') THEN
	  DO N=IRADII(1),IRADII(2)
	    DERIV(N,1)=1.0
	    DERIV(N,2)=-(-2.91916030/LN10
	1   +2.0*0.876610572*LOG(RADIUS(N)/
	2   PARAMETRS(2))/LN10**2
	3   -3.0*0.030263527*LOG(RADIUS(N)/PARAMETRS(2))**2/
	4   LN10**3
	4   -4.0*0.0166767680*LOG(RADIUS(N)/PARAMETRS(2))**3
	5   /LN10**4)/PARAMETRS(2)
	  END DO
	END IF
C
	RETURN
	END
