	SUBROUTINE WRITE_SAOFACTS(LU)
C
C	This subroutine writes the values of some of the variables in the
C  common block SAOFACTS to the given unit number.  This helps in diagnosing
C  the operation of modules that communicate with enhance SAOimage.
C
C			Donald H. Gudehus, February 4, 2008
C
	INCLUDE 'saofacts.for'
C
	WRITE(LU,1000) MAXFB_COLS_SAO,MAXFB_ROWS_SAO,NPIC_SAO
1000	FORMAT(' ','MAXFB_COLS_SAO = ',I5,' MAXFB_ROWS_SAO = ',I5,
	1' NPIC_SAO = ',I5)
	WRITE(LU,1100) XLOC_SAO(1),YLOC_SAO(1),NPTSX_SAO(1),NPTSY_SAO(1)
1100	FORMAT(' ','XLOC_SAO(1) = ',I5,' YLOC_SAO(1) = ',I5,
	1' NPTSX_SAO(1) = ',I5,' NPTSY_SAO(1) = ',I5)
	WRITE(LU,1200) IFB_SAO,NFRAME_SAO,IMSX_SAO(0,1),IMSY_SAO(0,1),
	1MHED_SAO(1,1),MHED_SAO(2,1)
1200	FORMAT(' ','IFB_SAO = 'I5,' NFRAME_SAO = ',I5,
	1' IMSX_SAO(0,1) = ',I5,' IMSY_SAO(0,1) = ',I5/
	2' MHED_SAO(1,1) = ',I5,' MHED_SAO(2,1) = ',I5)
	WRITE(LU,1300) SCF_SAO(0),AMIN_SAO(0),AMAX_SAO(0)
1300	FORMAT(' ','SCF_SAO(0) = ',G12.5,' AMIN_SAO(0) = ',
	1G12.5,' AMAX_SAO(0) = ',G12.5)
	WRITE(LU,1400) TV_FILENAME(1)
1400	FORMAT(' ','TV_FILENAME = ',A80)
C
	RETURN
	END
